net.corda.core.contracts

## Class Issued<P>

- net.corda.core.contracts.Issued<P>

- Type Parameters:
    `P` - the type of product underlying the definition, for example Currency.

      public class Issued<P>

  Definition for an issued product, which can be cash, a cash-like thing, assets, or generally anything else that's quantifiable with integer quantities.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Issued(PartyAndReference issuer, P product)` Definition for an issued product, which can be cash, a cash-like thing, assets, or generally anything else that's quantifiable with integer quantities.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PartyAndReference` | `component1()`
    `P` | `component2()`
    `Issued<P>` | `copy(PartyAndReference issuer, P product)` Definition for an issued product, which can be cash, a cash-like thing, assets, or generally anything else that's quantifiable with integer quantities.
    `boolean` | `equals(java.lang.Object p)`
    `PartyAndReference` | `getIssuer()`
    `P` | `getProduct()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Issued

          public Issued(PartyAndReference issuer,
                        P product)

      Definition for an issued product, which can be cash, a cash-like thing, assets, or generally anything else that's quantifiable with integer quantities.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getIssuer

          public PartyAndReference getIssuer()

    - #### getProduct

          public P getProduct()

    - #### component1

          public PartyAndReference component1()

    - #### component2

          public P component2()

    - #### copy

          public Issued<P> copy(PartyAndReference issuer,
                                P product)

      Definition for an issued product, which can be cash, a cash-like thing, assets, or generally anything else that's quantifiable with integer quantities.

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)